Bug 1444969 - Help message should show default values
Summary: Help message should show default values
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: x509watch
Version: 24
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 16:01 UTC by John Horne
Modified: 2017-05-15 23:18 UTC (History)
1 user (show)

Fixed In Version: x509watch-0.6.1-1.fc26 x509watch-0.6.1-1.fc24 x509watch-0.6.1-1.fc25 x509watch-0.6.1-1.el7 x509watch-0.6.1-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-04 13:31:39 UTC


Attachments (Terms of Use)

Description John Horne 2017-04-24 16:01:08 UTC
Description of problem:
The '--help' option doesn't show what the default values are for the '--period' and '--directory' options. (I had to download the source code and search for them.) It would be helpful if the values were displayed when using '--help'.

Version-Release number of selected component (if applicable):
x509watch-0.6.0-4.fc24.noarch
(x509watch-0.6.0-1.el7.noarch on RHEL7 server)

How reproducible:
Every time

Steps to Reproduce:
S. Install x509watch package
2. Type in 'x509watch --help'
3.

Actual results:
x509watch 0.6.0, (c) 2009-2013 by Robert Scheck
This program is free software with ABSOLUTELY NO WARRANTY;
you may redistribute it under the terms of the GNU General
Public License version 2 or later.

Usage: x509watch [OPTIONS]
  -p, --period=days     Number of days to be warned before
  -d, --directory=path  Recursive searched filesystem path
  -f, --file=path       Filesystem path to certificate file
  -i, --ignore=glob     Path with globbing of ignored files
  -n, --no-warning      Suppress all warnings during access
  -o, --openssl=path    Alternative path to OpenSSL binary
  -?, --help            Display this help and exit
  -V, --version         Output version information and exit

Locates soon expiring or already expired SSL certificates.

Expected results:
Default values for '-p' and '-d' options to be shown.
Perhaps something like:

Usage: x509watch [OPTIONS]
  -p, --period=days     Number of days to be warned before (default = 30)
  -d, --directory=path  Recursive searched filesystem path (default = /etc/pki)



Additional info:

Comment 1 Robert Scheck 2017-04-24 21:16:24 UTC
(In reply to John Horne from comment #0)
> The '--help' option doesn't show what the default values are for the
> '--period' and '--directory' options. (I had to download the source code and
> search for them.) It would be helpful if the values were displayed when
> using '--help'.

But after downloading the "source" you hopefully noticed, that it is a Perl 
script, thus you already had the source before? ;-) Nevertheless, I admit it
is a good enhancement idea, I will implement this for the next version.

Comment 2 John Horne 2017-04-25 09:06:03 UTC
I admit I did not check the 'x509watch' command itself to see what sort of file it was before downloading the source :-)
Anyway, thanks for accepting this request, and for the program itself.

Comment 3 Fedora Update System 2017-04-30 13:36:00 UTC
x509watch-0.6.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2d2cfaf1ef

Comment 4 Fedora Update System 2017-04-30 13:36:35 UTC
x509watch-0.6.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d0491d40ef

Comment 5 Fedora Update System 2017-04-30 13:37:13 UTC
x509watch-0.6.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3a025928e

Comment 6 Fedora Update System 2017-04-30 13:37:48 UTC
x509watch-0.6.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1e254d638c

Comment 7 Fedora Update System 2017-04-30 13:38:20 UTC
x509watch-0.6.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4fca9b0614

Comment 8 Fedora Update System 2017-04-30 22:17:00 UTC
x509watch-0.6.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4fca9b0614

Comment 9 Fedora Update System 2017-04-30 22:19:34 UTC
x509watch-0.6.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1e254d638c

Comment 10 Fedora Update System 2017-04-30 22:52:43 UTC
x509watch-0.6.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3a025928e

Comment 11 Fedora Update System 2017-04-30 23:21:47 UTC
x509watch-0.6.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d0491d40ef

Comment 12 Fedora Update System 2017-05-01 00:52:51 UTC
x509watch-0.6.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2d2cfaf1ef

Comment 13 Fedora Update System 2017-05-04 13:31:39 UTC
x509watch-0.6.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-05-08 22:23:05 UTC
x509watch-0.6.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-05-08 22:32:23 UTC
x509watch-0.6.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-05-15 13:54:12 UTC
x509watch-0.6.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-05-15 23:18:43 UTC
x509watch-0.6.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.